Subject: Re: [bug#64468] [PATCH] services: dhcp-client-service-type: Support DDNS.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 14 Oct 2023 19:45:11 +0200

Lilah Tascheter <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> wrote:
>> Could there be unintended side effects from passing "-I"?
>
> the isc-dhcp knowledgebase says that by default dhclient uses a
> pre-standardization implementation of DDNS, which is incompatable with non-isc
> DHCP servers. no idea why that's the default, but -I just switches to using the
> standardized protocol.
>
> kb link with more details: https://kb.isc.org/docs/aa-01091

Thanks for explaining.  I added this explanation as a comment in the
code and committed.

Ludo’.